/* ------------------------------------------------------------------------- */
/* PCMLAB - "ERASELOG.CMD"  - Cleanup of files from FVT Testcases            */
/*                                                                           */
/*  carried on: T:\PCMLAB\STRESS\CMD  &  W:\STRESS\CMD   (LAN Server)        */
/*                                                                           */
/*  ACTIVATION: Run by operator as required following FVT test execution     */
/*                                                                           */
/*  PARAMETER:  NONE                                                         */
/*                                                                           */
/*  Uses OS2 environment variables to determine testcase drive.              */
/*                                                                           */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
say ''
if left(parm.1,1) = '?' then signal INFO_PLEASE
/* ------------------------------------------------------------------------- */
os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');       /* get OS2 boot drive */
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');       /* get testcase drive */
if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end


/* ***** SCAN AND VALIDATE PARAMETERS ***** */

'del 'tstdrv':\timerdd\dh\dh\*.log 2>nul'
'del 'tstdrv':\timerdd\irq0\*.log 2>nul'
'del 'tstdrv':\timerdd\irq8\*.log 2>nul'
'del 'tstdrv':\format\fmt1_2\*.log 2>nul'
'del 'tstdrv':\format\fmt1_44\*.log 2>nul'
'del 'tstdrv':\kbd\*.log 2>nul'
'echo y | del 'tstdrv':\log\*. 2>nul'
'del 'tstdrv':\log\bin* 2>nul'
'del 'tstdrv':\pic\*.met 2>nul'
exit

/* ***** explain parameters ***** */
INFO_PLEASE:
say '[0;40;37m'
'cls'
say ''
say '[1;45;37m'
say 'ͻ'
say '                                                                        '
say '  ERASELOG erases the *.MET files from D:\PIC and all of the *.LOG      '
say '                                                                        '
say '  files from FVT (\KBD, \TIMERDD, \FORMAT), and STRESS (\LOG).          '
say '                                                                        '
say '  Parameter: NONE                                                       '
say '                                                                        '
say '  Uses OS/2 environment variables to determine testcase drive.          '
say 'ͼ'
say '[0;40;37m'
